﻿using System;

namespace etoy
{
    class CmdGenerateVersionCode : Command
    {
        public override string Description => "生成配置表版本号";

        protected override void OnProcess()
        {
            SetProgress(0.1f);

            long timestamp = DateTimeUtility.GetUnixTimeStamp();

            Context.Blackboard.Version = timestamp.ToString();

            Context.Blackboard.Timestamp = timestamp;

            SetProgress(1.0f);

            Completed();
        }
    }
}
