﻿using CommandLine;

namespace etoy
{
    class Option
    {
        // 输入
        [Option('i', "excelInput", Required = true, HelpText = "请输入Excel文件所在的根目录...")]
        public string ExcelInput { get; set; }

        [Option('o', "csvOutput", Required = true, HelpText = "请输入Csv文件生成目录...")]
        public string CsvOutput { get; set; }

        [Option('p', "pipelineType", Required = true, HelpText = "请输入Pipeline类型(0: 一次生成; 1: 只生成客户端; 2: 只生成服务端)...")]
        public int PipelineType { get; set; }

        // 输出
        [Option('d', "database", Required = true, HelpText = "请输入客户端数据库的导出路径...")]
        public string ClientDatabaseOutput { get; set; }

        [Option('c', "csharp", Required = true, HelpText = "请输入客户端代码的导出目录...")]
        public string ClientCodeOutput { get; set; }

        [Option('d', "database", Required = true, HelpText = "请输入服务端数据库的导出路径...")]
        public string ServerDatabaseOutput { get; set; }

        [Option('c', "TypeScript", Required = true, HelpText = "请输入服务端代码的导出目录...")]
        public string ServerCodeOutput { get; set; }

        [Option('x', "config_version", Required = true, HelpText = "配置版本文件的导出路径...")]
        public string ConfigVersionOutput { get; set; }
        #region 客户端配置表加载
        [Option('c', "csharp", Required = true, HelpText = "请输入客户端配置表加载代码...")]
        public string ClientDatabaseLoadCodePath { get; set; }
        #endregion
    }
}