﻿using System;

namespace etoy
{
    interface ICommand
    {
        /// <summary>
        /// 异常
        /// </summary>
        Exception Exception { get; }
        /// <summary>
        /// 是否开始执行
        /// </summary>
        bool Start { get; }

        /// <summary>
        /// 是否完成
        /// </summary>
        bool Done { get; }

        /// <summary>
        /// 进度(0.0f~1.0f)
        /// </summary>
        float Progress { get; }

        /// <summary>
        /// 描述
        /// </summary>
        string Description { get; }

        /// <summary>
        /// 执行
        /// </summary>
        void Execute();
    }
}
